# $Revision: 1.22 $, $Date: 2011/03/23 15:12:25 $
Summary:	Set of additional widgets for GTK+
Summary(pl.UTF-8):	Zestaw dodatkowych kontrolek dla GTK+
Name:		libsexy
Version:	0.1.11
Release:	9
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://releases.chipx86.com/libsexy/libsexy/%{name}-%{version}.tar.gz
# Source0-md5:	33c079a253270ec8bfb9508e4bb30754
Patch0:		%{name}-pc.patch
URL:		http://chipx86.com/w/index.php/Libsexy
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enchant-devel >= 1.2.6
BuildRequires:	gtk+2-devel >= 2:2.10.3
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	iso-codes >= 0.53
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of graphical widgets for GTK+ applications.

%description -l pl.UTF-8
Zestaw kontrolek graficznych dla programów opartych o GTK+.

%package devel
Summary:	Header files for libsexy library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsexy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	enchant-devel >= 1.2.6
Requires:	gtk+2-devel >= 2:2.10.3
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Header files for libsexy library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsexy.

%package static
Summary:	Static libsexy library
Summary(pl.UTF-8):	Statyczna biblioteka libsexy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsexy library.

%description static -l pl.UTF-8
Statyczna biblioteka libsexy.

%package apidocs
Summary:	libsexy API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libsexy
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libsexy API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libsexy.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsexy.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libsexy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsexy.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsexy.so
%{_includedir}/libsexy
%{_pkgconfigdir}/libsexy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsexy.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libsexy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsexy.spec,v $
Revision 1.22  2011/03/23 15:12:25  wiget
- drop libtool file
- rel. 9

Revision 1.21  2010/11/24 09:39:05  hawk
- release 8

Revision 1.20  2010/02/10 21:58:38  sparky
- BR: docbook-dtd412-xml

Revision 1.19  2010/02/08 23:28:16  megabajt
- ghost soname symlink
- release 7

Revision 1.18  2010/01/28 10:28:01  arekm
- release 6

Revision 1.17  2008/11/07 14:04:54  pluto
- release 5.

Revision 1.16  2008/09/30 18:44:04  qboosh
- updated URL

Revision 1.15  2007/12/15 21:38:32  megabajt
- added apidocs subpackage
- release 4

Revision 1.14  2007-10-29 22:47:54  megabajt
- release 3

Revision 1.13  2007/10/08 21:20:40  qboosh
- changed pc patch to fix libdir instead of trying to fix what wasn't broken
- more verbose files

Revision 1.12  2007/10/06 15:18:37  arekm
- rel 2; don't put standard inc/lib paths in pc file

Revision 1.11  2007/04/13 22:33:58  aredridel
- 0.1.11

Revision 1.10  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.8  2006/09/09 13:09:51  grzegol
- 0.1.10

Revision 1.7  2006/09/04 16:24:29  grzegol
- updated to 0.1.9
- added BR: gtk-doc

Revision 1.6  2006/07/14 14:23:30  freetz
- rel.2, updated deps, --as-needed support

Revision 1.5  2006/04/16 13:09:19  freetz
- 0.1.8

Revision 1.4  2006/03/16 17:35:00  freetz
- 0.1.7, gtk-doc apidocs added

Revision 1.3  2005/12/11 01:11:13  adamg
- URL added

Revision 1.2  2005/11/14 22:25:00  qboosh
- fixed License, added versions to BRs, -devel deps

Revision 1.1  2005/11/13 11:49:16  freetz
- initial
